p {
  margin: 0;
}

#crud-container {
  width: 100%;
  padding: 36px var(--window-clearance);
  background-color: var(--primary-light);

  display: flex;
  justify-content: center;
}

.crud-option {
  width: 100%;
  max-width: 800px;
}

.input-wrapper {
  margin-bottom: 8px; /*To achieve clearance with CANCEL and SAVE btn*/
}

@media screen and (max-width: 500px) {
  .input-wrapper {
    display: flex;
    flex-direction: column;
  }
}

@media screen and (min-width: 501px) {
  /*Grid used to position attribute and input/select inline, also ensures that all attributes
   align, width-wise, to the widest one*/
  .input-wrapper {
    display: grid;
    grid-template-columns: fit-content(50%) auto;
  }

  .input-wrapper label {
    display: flex;
    align-items: center;
    padding-right: 16px;
  }
}

.input-wrapper label {
  text-transform: capitalize;
  padding-bottom: 4px;
}

.input-wrapper input, select {
  min-height: 30px;
  margin-bottom: 8px;
  padding: 0 8px;
  outline: unset;
}

.input-wrapper input:focus, select:focus {
  border: solid var(--primary-dark);
  border-radius: 4px;
}

.submit-wrapper {
  display: flex; /*for spacer*/
}

#cancel-btn {
  margin-right: 12px;
}

ul#err-feedback-container {
  padding: 24px 18px 0;
  font-weight: bold;
}

li.err-feedback {
  color: #fe0000;
  padding-bottom: 8px;
}
